Package wx :: Class PageSetupDialogData

[frames | no frames]

## Type PageSetupDialogData

    object --+
             |
        Object --+
                 |
                PageSetupDialogData

Proxy of C++ PageSetupDialogData class

Method Summary
PageSetupDialogData | ``__init__`(self)` __init__(self, PageSetupDialogData data) -> PageSetupDialogData __init__(self, PrintData data) -> PageSetupDialogData
| `__del__(self)`
| `__nonzero__(self)`
| `CalculateIdFromPaperSize(self)`
| `CalculatePaperSizeFromId(self)`
| `EnableHelp(self, flag)`
| `EnableMargins(self, flag)`
| `EnableOrientation(self, flag)`
| `EnablePaper(self, flag)`
| `EnablePrinter(self, flag)`
bool | `GetDefaultInfo(self)`
bool | `GetDefaultMinMargins(self)`
bool | `GetEnableHelp(self)`
bool | `GetEnableMargins(self)`
bool | `GetEnableOrientation(self)`
bool | `GetEnablePaper(self)`
bool | `GetEnablePrinter(self)`
Point | `GetMarginBottomRight(self)`
Point | `GetMarginTopLeft(self)`
Point | `GetMinMarginBottomRight(self)`
Point | `GetMinMarginTopLeft(self)`
int | `GetPaperId(self)`
Size | `GetPaperSize(self)`
PrintData | `GetPrintData(self)`
bool | `IsOk(self)`
bool | `Ok(self)`
| `SetDefaultInfo(self, flag)`
| `SetDefaultMinMargins(self, flag)`
| `SetMarginBottomRight(self, pt)`
| `SetMarginTopLeft(self, pt)`
| `SetMinMarginBottomRight(self, pt)`
| `SetMinMarginTopLeft(self, pt)`
| `SetPaperId(self, id)`
| `SetPaperSize(self, size)`
| `SetPrintData(self, printData)`

Property Summary
| `DefaultInfo`: See `GetDefaultInfo` and `SetDefaultInfo`
| `DefaultMinMargins`: See `GetDefaultMinMargins` and `SetDefaultMinMargins`
| `MarginBottomRight`: See `GetMarginBottomRight` and `SetMarginBottomRight`
| `MarginTopLeft`: See `GetMarginTopLeft` and `SetMarginTopLeft`
| `MinMarginBottomRight`: See `GetMinMarginBottomRight` and `SetMinMarginBottomRight`
| `MinMarginTopLeft`: See `GetMinMarginTopLeft` and `SetMinMarginTopLeft`
| `PaperId`: See `GetPaperId` and `SetPaperId`
| `PaperSize`: See `GetPaperSize` and `SetPaperSize`
| `PrintData`: See `GetPrintData` and `SetPrintData`
| `thisown`: The membership flag

Method Details

### __init__(self)
(Constructor)

__init__(self, PageSetupDialogData data) -> PageSetupDialogData __init__(self, PrintData data) -> PageSetupDialogData

  Returns:
    PageSetupDialogData
  Overrides:
    `wx.Object.__init__`

Property Details

### DefaultInfo

See `GetDefaultInfo` and `SetDefaultInfo`

  Get Method:
    `GetDefaultInfo`(self)
  Set Method:
    `SetDefaultInfo`(self, flag)

### DefaultMinMargins

See `GetDefaultMinMargins` and `SetDefaultMinMargins`

  Get Method:
    `GetDefaultMinMargins`(self)
  Set Method:
    `SetDefaultMinMargins`(self, flag)

### MarginBottomRight

See `GetMarginBottomRight` and `SetMarginBottomRight`

  Get Method:
    `GetMarginBottomRight`(self)
  Set Method:
    `SetMarginBottomRight`(self, pt)

### MarginTopLeft

See `GetMarginTopLeft` and `SetMarginTopLeft`

  Get Method:
    `GetMarginTopLeft`(self)
  Set Method:
    `SetMarginTopLeft`(self, pt)

### MinMarginBottomRight

See `GetMinMarginBottomRight` and `SetMinMarginBottomRight`

  Get Method:
    `GetMinMarginBottomRight`(self)
  Set Method:
    `SetMinMarginBottomRight`(self, pt)

### MinMarginTopLeft

See `GetMinMarginTopLeft` and `SetMinMarginTopLeft`

  Get Method:
    `GetMinMarginTopLeft`(self)
  Set Method:
    `SetMinMarginTopLeft`(self, pt)

### PaperId

See `GetPaperId` and `SetPaperId`

  Get Method:
    `GetPaperId`(self)
  Set Method:
    `SetPaperId`(self, id)

### PaperSize

See `GetPaperSize` and `SetPaperSize`

  Get Method:
    `GetPaperSize`(self)
  Set Method:
    `SetPaperSize`(self, size)

### PrintData

See `GetPrintData` and `SetPrintData`

  Get Method:
    `GetPrintData`(self)
  Set Method:
    `SetPrintData`(self, printData)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:31 2007 | http://epydoc.sf.net